# 陆战棋

陆战棋，又称军棋，是中国近代一种根据军队中的军衔而设计的双人、四人棋类。棋盘上每方有三十个停靠点，包括二十五个兵站、五个圆形的行营和两个碉堡形的大本营。棋盘上的线分为两种：铁路线、公路线。两方势力通过三条铁路连接，每两条铁路之间有一个“山界”。每一方有25枚棋子，先夺得对方军旗者为胜。

| 棋子 | 数量 | 说明                         |
| ---- | ---- | ---------------------------- |
| 军旗 | 1    | 必须布置在大本营，不得移动   |
| 炸弹 | 2    | 不得布置在第一排             |
| 地雷 | 3    | 必须布置在最后两排，不得移动 |
| 司令 | 1    | 可吃以下任何棋子             |
| 军长 | 1    | 可吃以下任何棋子             |
| 师长 | 2    | 可吃以下任何棋子             |
| 旅长 | 2    | 可吃以下任何棋子             |
| 团长 | 2    | 可吃以下任何棋子             |
| 营长 | 2    | 可吃以下任何棋子             |
| 连长 | 3    | 可吃以下任何棋子             |
| 排长 | 3    | 可吃以下任何棋子             |
| 工兵 | 3    | 可以吃地雷                   |


## 规则

1. 双方将己方全部棋子按规则秘密地布置在己方棋盘的兵站或大本营中;
2. 战斗开始黑方先行，双方依次移动一枚己方棋子;
3. 在公路线上，可以向有连线的方向走一格;
4. 在铁路线上，若无子阻挡，棋子可沿直线行动不限格数;
5. 在铁路线上，工兵可一次性行进至任何可能达到的位置；
6. 军旗、地雷、大本营内的棋子等不能移动;
7. 行棋不得跨越已有棋子的位置;
8. 走入有敌方棋子的位置时即为攻击该棋子;
9. 不得攻击己方棋子或行营内的棋子;
10. 攻击时双方棋子相同，则同归于尽;
11. 攻击地雷时两子同归于尽，工兵除外;
12. 炸弹不能攻击军旗，攻击其它棋子则同归于尽;
13. 攻击结果由裁判作出，双方不得知晓对方棋子;
14. 己方司令被消灭后强制向敌方明示己方军旗所在位置;
15. 成功攻击敌方军旗或敌方已失去所有机动力时则为获胜！

## 功能

本项目将实现双人在线陆战棋的对局。

- [ ] 棋盘
  - [ ] 显示底图
  - [ ] 兵站、行营、大本营
- [ ] 棋子可以按规则放入兵站、行营、大本营
- [ ] 轮流行棋
- [ ] 行棋规则
- [ ] 吃子
- [ ] 输赢判断
